Subject: bug#52447: 29.0.50; New mode-line breaks calculations for last element in my mode-line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Dec 2021 20:24:01 +0200

> From: Pedro Andres Aranda Gutierrez <[email-masked]>
> Date: Sun, 12 Dec 2021 18:58:48 +0100
> Cc: [email-masked]
> 
> Doesn't this mean that there will be a 'bug' in emacs28 ;-)

Probably, but it's too late to fix this in Emacs 28.

> Just kidding... thanks a lot for the analysis. 
> It was code I found time ago and I had really forgotten how it worked (or didn't work).
> Now that I(you) have fixed it for fixed-pitch I don't think I'm prepared for a variable pitch font in the mode line
> yet. I still find it ugly.

So can this bug be closed?